<?php
/**
 * The template file for displaying the comments and comment form for the
 * Beauty Store Theme
 *
 * @package Beautystore
 * @subpackage Beautystore
 * @since Beautystore
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
*/
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comment-box post-comment-section gray-bg">
	<?php
	if ( have_comments() ) : ?>
		<h3 class="comments-title">
			<?php
				printf(  
					esc_html( _nx( ' Comment (%2$s)', ' Comments (%1$s)', get_comments_number(), 'comments title', 'beautystore' ) ),
					number_format_i18n( get_comments_number() ),
					'<span>' . esc_html(get_the_title()) . '</span>'
				);
			?>
		</h3>

		<ul class="media-list">
			<?php
				wp_list_comments( array(
					'style'      => 'ol',
					'short_ping' => true,
					'avatar_size'=> 77,
				) );
			?>
		</ul> 

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
		<nav id="comment-nav-below" class="navigation comment-navigation" role="navigation">
			<h2 class="screen-reader-text"><?php _e( 'Comment navigation', 'beautystore' ); ?></h2>
			<div class="nav-links">

				<div class="nav-previous"><?php previous_comments_link( __( 'Older Comments', 'beautystore' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Newer Comments', 'beautystore' ) ); ?></div>

			</div> 
		</nav> 
		<?php
		endif;  
	endif;  
	?>
</div> 
<?php 
	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'beautystore' ); ?></p>
	<?php
	endif;
    comment_form(); 
?>