<?php
/**
 * Header file for the Beautystore WordPress default theme.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Beautystore
 * @since Beautystore 1.0
 */
?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head itemscope itemtype="http://schema.org/WebSite">
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> itemscope itemtype="http://schema.org/WebPage">
	<?php wp_body_open(); ?>
    <div id="loader">
    </div>

    <div id="page" class="site">
    	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'beautystore' ); ?></a>

		<header id="masthead" class="header header-type-2" <?php if( !is_page_template( 'template-home.php' ) ) { echo 'header-inner'; }  ?> role="banner" >
	        <div class="container">
	            <div class="nav-panel clearfix">
	                
                   <?php 
                    if( function_exists( 'has_custom_logo' ) && has_custom_logo() ){
                       the_custom_logo();
                    } 
                     if (display_header_text()==true){ 
                    ?>
                    
                        <h1 class="site-title" itemprop="name"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                    
                        
                    <?php 
                        $description = get_bloginfo( 'description', 'display' );
                    if ( $description || is_customize_preview() ) : ?>
                        <p class="site-description" itemprop="description"><?php echo $description; /* WPCS: xss ok. */ ?></p>
                    <?php
                    endif; }

                    else{
                    	?>
                    <h1 class="<?php if(has_custom_logo()) { ?>site-title-padding <?php } else { ?>site-title-pro<?php } ?>" itemprop="name"></h1>
                    <?php 
                    }
                    ?>
	               <nav id="site-navigation" class="main-navigation">
                       <button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><i class="fa fa-bars"></i></button>
                                 <?php
                                    wp_nav_menu( array(
                                        'theme_location' => 'primary',
                                        'menu_id'        => 'primary-menu',
                                    ) );
                                    ?>
                    </nav>
	            </div>
	        </div>
        </header>
		<?php 
		$beautystore_ed_banner_section = get_theme_mod( 'beautystore_ed_banner_section' );
		if( !($beautystore_ed_banner_section ) || !is_page_template( 'template-home.php' )){ ?>
			<div class="grey-title banner-area">
				<div class="container">
					<div class="title-block">
		                <h2 class="title"><?php the_title(); ?></h2>
		                <ul class="list-unstyled hb-breadcrumb">
		                    <?php do_action( 'beautystore_breadcrumbs' ); ?>
		                </ul>
					</div>
				</div>
			</div>
		<?php } ?>
		        <div id="content"></div>
