<?php
/**
 * The main Page File 
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Beautystore
 * @since Beautystore
 */


get_header(); ?>

	<main class="main-blog start-block">
        <div class="container">
            <div class="row">
            	<div class="col-sm-8 col-md-9">
					<?php
					while ( have_posts() ) : the_post();

						get_template_part( 'theme-parts/content', 'page' );
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
					endwhile;  
					?>
				</div>
				<div class="col-sm-4 col-md-3">
					<?php get_sidebar(); ?>
				</div>
			</div>
		</div>
		
	</main><!-- #main -->

<?php
get_footer();
?>