<?php
/**
 * Template Name: Front Home Page
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Beautystore
 * @since Beautystore
 */
get_header();
?>

	<?php

    $beautystore_enabled_sections = beautystore_get_sections();
    
    if( $beautystore_enabled_sections ){
    
	    foreach( $beautystore_enabled_sections as $beautystore_section ){ ?>
	        <section class="<?php echo esc_attr( $beautystore_section['class'] ); ?>" id="<?php echo esc_attr( $beautystore_section['id'] ); ?>">
	            <?php get_template_part( 'sections/section', esc_attr( $beautystore_section['id'] ) ); ?>
	        </section>
	    <?php
	    }
	}
	?>
<?php get_footer(); ?>